List Churches
curl --request GET \
--url https://api.thefaithapp.com/v1/churches \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/churches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/churches"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"current_page": 1,
"data": [
{
"id": 12,
"name": "Example Church",
"email": "info@examplechurch.com",
"location": "Kampala, Uganda",
"image": "https://cdn.example.com/clients/example.png",
"about": "<p>A welcoming church community.</p>",
"public_uuid": "11111111-2222-3333-4444-555555555555",
"created_at": "2025-04-11T08:40:54.000000Z",
"updated_at": "2026-05-27T17:50:32.000000Z"
}
],
"first_page_url": "https://api.thefaithapp.com/v1/churches?page=1",
"last_page": 1,
"per_page": 30,
"total": 1
}Churches
List Churches
Returns the public church directory with optional search and pagination.
GET
/
v1
/
churches
List Churches
curl --request GET \
--url https://api.thefaithapp.com/v1/churches \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/churches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/churches"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"current_page": 1,
"data": [
{
"id": 12,
"name": "Example Church",
"email": "info@examplechurch.com",
"location": "Kampala, Uganda",
"image": "https://cdn.example.com/clients/example.png",
"about": "<p>A welcoming church community.</p>",
"public_uuid": "11111111-2222-3333-4444-555555555555",
"created_at": "2025-04-11T08:40:54.000000Z",
"updated_at": "2026-05-27T17:50:32.000000Z"
}
],
"first_page_url": "https://api.thefaithapp.com/v1/churches?page=1",
"last_page": 1,
"per_page": 30,
"total": 1
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Query Parameters
Optional text search filter.
Example:
"Kampala"
Page number for pagination.
Number of records to return per page.
Response
Church directory returned successfully.
The response is of type object.
Was this page helpful?